public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/shapely/
Date: Thu, 13 Oct 2022 17:09:29 +0000 (UTC)	[thread overview]
Message-ID: <1665680964.ff977d0c29b572f604e20ae6d69509fce5e3007c.mgorny@gentoo> (raw)

commit:     ff977d0c29b572f604e20ae6d69509fce5e3007c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 13 16:55:24 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 13 17:09:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff977d0c

dev-python/shapely: Bump to 1.8.5_p1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/shapely/Manifest                |  1 +
 dev-python/shapely/shapely-1.8.5_p1.ebuild | 52 ++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index 7f9e483c229f..b00003454e29 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1 +1,2 @@
 DIST shapely-1.8.4.gh.tar.gz 322701 BLAKE2B 79cca2290b8e32ac146316feff4ccb332d47dd11ec4753f83618305c169e085629858c5e9d66fe281adda36be46eaebe996e2fe67dace1e6cbe9a7ca322c1c18 SHA512 8b57a2e83f8eb10a041f6a8d9170b84ed708a5835a16874761e5ccec0453ff34a282aeefb0367ab79c85216a68f5bb8b4b75503e81eaa3f7277f4036b8b0b242
+DIST shapely-1.8.5.post1.gh.tar.gz 323178 BLAKE2B 05ff22f972446da340714548f5a2ad233f8bac8bb0710a8c5444dc44e7d5ad0d2c2d37bc3ddb987f57accd065c75c9627752a6c6cb3590621e39812674c678e9 SHA512 99a406833ebd13cb3f88fb710ed66f545a0b128d201e82ff381de0214cde38c685a622f78e964d6d41fc9ba096bc62e63bf9da04d216dedf2f96bb1e3496d48f

diff --git a/dev-python/shapely/shapely-1.8.5_p1.ebuild b/dev-python/shapely/shapely-1.8.5_p1.ebuild
new file mode 100644
index 000000000000..cb3c65a36d9f
--- /dev/null
+++ b/dev-python/shapely/shapely-1.8.5_p1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="
+	https://pypi.org/project/Shapely/
+	https://github.com/shapely/shapely/
+"
+SRC_URI="
+	https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+	>=sci-libs/geos-3.9
+"
+RDEPEND="
+	${DEPEND}
+	dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${DEPEND}
+	>=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/matplotlib
+
+src_prepare() {
+	rm -r _vendor || die
+	sed -i -e 's:_vendor\.::' setup.py || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	rm -rf shapely || die
+	epytest
+}


             reply	other threads:[~2022-10-13 17:09 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-13 17:09 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-20  5:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/shapely/ Michał Górny
2025-04-19 18:39 Arthur Zamarin
2025-04-05  7:13 Michał Górny
2025-02-15  9:23 Arthur Zamarin
2025-02-15  8:33 Arthur Zamarin
2025-01-31  5:40 Michał Górny
2024-09-07 12:15 Michał Górny
2024-09-07 11:26 Jakov Smolić
2024-09-07 10:38 Arthur Zamarin
2024-08-20  1:43 Michał Górny
2024-08-04 19:19 Michał Górny
2024-08-04  3:16 Sam James
2024-08-03 16:48 Jakov Smolić
2024-07-13 12:09 Miroslav Šulc
2024-07-10  9:32 Michał Górny
2024-05-17  9:49 Michał Górny
2024-05-17  9:08 Arthur Zamarin
2024-05-17  8:46 Arthur Zamarin
2024-04-30 17:27 Michał Górny
2024-04-17  9:35 Miroslav Šulc
2024-03-06  7:06 Michał Górny
2024-03-06  3:40 Sam James
2024-03-02 10:11 Arthur Zamarin
2024-02-17  6:10 Michał Górny
2023-12-20 16:00 Michał Górny
2023-12-20 15:56 Michał Górny
2023-12-20 15:47 Michał Górny
2023-11-24 14:23 Michał Górny
2023-11-11 20:02 Sam James
2023-10-13  4:44 Michał Górny
2023-10-10  5:09 Sam James
2023-08-06 12:30 Michał Górny
2023-05-04 16:56 Michał Górny
2023-03-04  5:53 Michał Górny
2023-03-04  5:29 Arthur Zamarin
2023-03-03 19:40 Arthur Zamarin
2023-01-31 11:22 Michał Górny
2023-01-13 17:13 Michał Górny
2023-01-13 14:50 Sam James
2023-01-13 14:50 Sam James
2022-12-12 19:58 Michał Górny
2022-12-12 15:33 Michał Górny
2022-11-19 16:57 Michał Górny
2022-11-19 16:40 Sam James
2022-11-19 16:40 Sam James
2022-10-03  6:53 Michał Górny
2022-10-03  0:44 Sam James
2022-09-02 17:37 Michał Górny
2022-07-10 23:08 Sam James
2022-07-10 22:28 Sam James
2016-11-06 11:25 Tiziano Müller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665680964.ff977d0c29b572f604e20ae6d69509fce5e3007c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox